DisplayTrace("Hrtgenwald von Sturmkraft-Feldgrau");

function Start()
        ViewZone("Alles", 0);
        SwitchWeatherAutomatic(0);
        DisableAviation(1, 0)
        RunScript("RevealObjective0", 1000);
        RunScript("Voss01", 1000);
        RunScript("Voss02", 1000);
        RunScript("Voss03", 1000);
        RunScript("Tausch01", 1000);
        RunScript("Tausch02", 1000);
        RunScript("Tausch03", 1000);
        LandReinforcement(1002);
        LandReinforcement(120);
        LandReinforcement(1020);
        LandReinforcement(1021);
        LandReinforcement(1022);
        LandReinforcement(1023);
        LandReinforcement(1003);
        LandReinforcement(130);
        LandReinforcement(1031);
        LandReinforcement(1030);
        LandReinforcement(1006);
        LandReinforcement(106);
        LandReinforcement(160);
        LandReinforcement(1006);
        RunScript( "AlliesSchKom00", 5000);
        RunScript( "AlliesSchKom00_03", 5000);
        RunScript( "LkwKommerscheidt01", 2500);
        RunScript( "LkwKommerscheidt02", 2500);
        RunScript( "LkwSchmidt", 2500);
        RunScript( "AlliesSchKom01",4000);
        RunScript( "AlliesSchKom03",4000);
        RunScript( "AlliesSchKom03_01", 2500);
        RunScript( "AlliesSchKom03_02", 2500);
        RunScript( "AlliesSchKom03_03", 15000);
        RunScript( "BruckeRep", 1000);
        Suicide();
end;

function BruckeRep()
         if ( GetObjectHPs(8, 0) <= 0) then
                LandReinforcement(127);
                RunScript( "BruckeRep02", 5000);
                Suicide();
	end;
end;

function BruckeRep02()
        local num = GetNUnitsInScriptGroup(106) + GetNUnitsInScriptGroup(107) + GetNUnitsInScriptGroup(1006) + GetNUnitsInScriptGroup(1007);
        if (num > 0) then
                DamageObject(8, -1)
                RunScript( "BruckeRep03", 25000);
                Suicide();
      end;
end;

function BruckeRep03()
        DeleteReinforcement(127);
        RunScript( "BruckeRep", 5000);
        Suicide();
end;

function Sieg()
        if GetIGlobalVar("Objective.1", 0) == 1 and GetIGlobalVar("Objective.2", 0) == 1 and GetIGlobalVar("Objective.4", 0) == 1
        and GetIGlobalVar("Objective.8", 0) == 1 and GetIGlobalVar("Objective.9", 0) == 1 then
          Win(0);
          Suicide();
      end;
end;

function Verloren()
	if ( GetNUnitsInParty(0) < 2) then
        	Loose();
        	Suicide();
	end;
end;

function Verloren_02()
	if ( GetNUnitsInArea(0, "VossRuck01") < 1) and ( GetNUnitsInArea(0, "VossRuck02") < 1) and ( GetNUnitsInArea(0, "VossRuck03") < 1)
        and ( GetNUnitsInArea(0, "VossRuck04") < 1) and ( GetNUnitsInArea(0, "VossRuck05") < 1) then
        	Loose();
        	Suicide();
	end;
end;

function Verloren_03()
        local num = GetNUnitsInScriptGroup(2001) + GetNUnitsInScriptGroup(2222) + GetNUnitsInScriptGroup(2003) + GetNUnitsInScriptGroup(201)
         + GetNUnitsInScriptGroup(202) + GetNUnitsInScriptGroup(222) + GetNUnitsInScriptGroup(203) + GetNUnitsInScriptGroup(210)
         + GetNUnitsInScriptGroup(220) + GetNUnitsInScriptGroup(230) + GetNUnitsInScriptGroup(2200) + GetNUnitsInScriptGroup(2300)
         + GetNUnitsInScriptGroup(2301) + GetNUnitsInScriptGroup(2302) + GetNUnitsInScriptGroup(2101) + GetNUnitsInScriptGroup(2100)
         + GetNUnitsInScriptGroup(801);
        if (num < 21) then
        ObjectiveChanged(9, 2);
        DisplayTrace("...Ihre Verluste sind zu hoch!");
        	Loose();
        	Suicide();
	end;
end;

function RevealObjective0()
	ObjectiveChanged(0, 0);
	RunScript( "Objective0", 10000);
        LandReinforcement(802);
        Suicide();
end;

function RevealObjective1()
	ObjectiveChanged(1, 0);
	ViewZone("ViewSch01", 1);
        ViewZone("ViewSch02", 1);
	ViewZone("ViewSch03", 1);
	AskClient("SetCamera(15500,400)");
	DisplayTrace("Vorsicht... die Lkws kannst Du wieder bernehmen");
	RunScript("RevealObjective2", 5000);
        RunScript( "Objective1", 4000);
        Suicide();
end;

function RevealObjective2()
	ObjectiveChanged(2, 0);
        DisplayTrace("Das Schicksal Deutschlands liegt wieder ein mal in Deiner Hand.");
        ViewZone("ViewSch01", 0);
        ViewZone("ViewSch02", 0);
	ViewZone("ViewSch03", 0);
	ViewZone("ViewKom01", 1);
        ViewZone("ViewKom02", 1);
        AskClient("SetCamera(11700,4400)");
        DisplayTrace("Diese Lkws knnen wir auch gut gebrauchen");
        RunScript("RevealObjective3", 2000);
        RunScript("RevealObjective5", 7000);
        RunScript("SetCamara", 3500);
        RunScript( "Objective2", 4000);
        Suicide();
end;

function SetCamara()
        AskClient("SetCamera(10000,6000)");
        Suicide();
end;

function RevealObjective3()
         if ( GetNUnitsInArea(1, "Nachschub") > 0) then
                ObjectiveChanged(3, 0);
	        AskClient("SetCamera(6000,9000)");
	        RunScript( "GerVerstSchKom00", 1000);
	        RunScript( "Objective3", 4000);
                Suicide();
	end;
end;

function RevealObjective4()
        ObjectiveChanged(4, 0);
	RunScript( "Objective4", 4000);
	
        Suicide();
end;

function RevealObjective5()
	ObjectiveChanged(5, 0);
	ViewZone("ViewKom01", 0);
        ViewZone("ViewKom02", 0);	
	ViewZone("10", 1);
        ViewZone("100", 1);
	ViewZone("20", 1);
        ViewZone("21", 1);
	ViewZone("22", 1);
        ViewZone("23", 1);
	ViewZone("30", 1);
        ViewZone("31", 1);
	AskClient("SetCamera(4760,14080)");                                	
        RunScript( "Objective5", 4000);
        RunScript("GerVerstVoss01", 5000);
        RunScript("Cameraaus", 5000);
        Suicide();
end;

function Cameraaus()
	ViewZone("10", 0);
        ViewZone("100", 0);
	ViewZone("20", 0);
        ViewZone("21", 0);
	ViewZone("22", 0);
        ViewZone("23", 0);
	ViewZone("30", 0);
        ViewZone("31", 0);	
        Suicide();
end;

function RevealObjective6()
	ObjectiveChanged(6, 0);
        DisplayTrace("Verteidigungsstellung besetzen ...schnell!!");	
        RunScript( "Objective6", 4000);
        RunScript("AlliesVerstVoss01", 290000);
        Suicide();
end;

function RevealObjective7()
	ObjectiveChanged(7, 0);
        RunScript( "Objective7", 4000);
	ViewZone("Auswahl01", 1);
        ViewZone("Auswahl02", 1);
        RunScript("GerVerstVoss03", 1000);
        RunScript( "AlliesVerstVoss05", 2000);
        Suicide();
end;

function RevealObjective8()
         if ( GetNUnitsInArea(0, "Auswahl01") > 0) then
	        ObjectiveChanged(8, 0);
	        ViewZone("Auswahl01", 0);
                ViewZone("Auswahl02", 0);
                ChangePlayer(2004, 0);
                ChangePlayer(240, 0);
                ChangePlayer(2040, 0);
                ChangePlayer(2041, 0);	
                RunScript( "Objective8", 4000);
                KillScript("RevealObjective9");
                Suicide();
	end;
end;

function RevealObjective9()
         if ( GetNUnitsInArea(0, "Auswahl02") > 0) then
	        ObjectiveChanged(9, 0);
	        ViewZone("Auswahl01", 0);
                ViewZone("Auswahl02", 0);
                DamageObject(802, 0);
	        LandReinforcement(2005);
                DeleteReinforcement(2004);
                DeleteReinforcement(240);
                DeleteReinforcement(2040);
                DeleteReinforcement(2041);                	
                RunScript( "Objective9", 4000);
                RunScript( "Verloren_03", 1000);
                KillScript("RevealObjective8");
                KillScript("Verloren_02");
                Suicide();
	end;
end;

function Objective0()
	ObjectiveChanged(0, 1);
        RunScript("RevealObjective1", 2000);
        Suicide();
end;

function Objective1()
         if ( GetNUnitsInArea(1, "Schmidt") < 1) then
	        SetIGlobalVar("Objective.1", 1);
	        ObjectiveChanged(1, 1);
                Suicide();
	end;
end;

function Objective2()
         if ( GetNUnitsInArea(1, "Kommerscheidt") < 1) then
	        SetIGlobalVar("Objective.2", 1);
	        ObjectiveChanged(2, 1);
                Suicide();
	end;
end;

function Objective3()
         if ( GetNUnitsInArea(1, "Brucke01") < 1) then
	        ObjectiveChanged(3, 1);
	        RunScript("RevealObjective4", 2000);
                Suicide();
	end;
end;

function Objective4()
        if ( GetNUnitsInArea(1, "Brucke01") > 0) and ( GetNUnitsInArea(0, "Brucke01") < 1) then
 	        ObjectiveChanged(4, 2);
 	        ObjectiveChanged(3, 2);
 	        DisplayTrace("Die Brcke mu unter allen Umstnden wieder gesperrt werden");
 	        RunScript( "Objective4_02", 1000);
                Suicide();
	end;
end;

function Objective4_02()
        if ( GetNUnitsInArea(1, "Brucke01") < 1) and ( GetNUnitsInArea(0, "Brucke01") > 0) then
	        ObjectiveChanged(4, 0);
	        ObjectiveChanged(3, 1);
	        RunScript( "Objective4", 1000);
                Suicide();
	end;
end;

function Objective4_03()
        local num = GetNUnitsInScriptGroup(106) + GetNUnitsInScriptGroup(116) + GetNUnitsInScriptGroup(107) + GetNUnitsInScriptGroup(1006)
        + GetNUnitsInScriptGroup(1007);
        if (num < 1) and ( GetNUnitsInArea(1, "Brucke01") < 1) and ( GetNUnitsInArea(0, "Brucke01") > 0) then
	        SetIGlobalVar("Objective.4", 1);
	        ObjectiveChanged(4, 1);
	        ObjectiveChanged(3, 1);	
	        RunScript( "AlliesBrucke01",5000);
	        KillScript("Objective4");
                KillScript("Objective4_02");	
                Suicide();
	end;
end;

function Objective5()
        if ( GetNUnitsInArea(1, "Voss03") < 1) and ( GetNUnitsInArea(1, "Voss02") < 1) and ( GetNUnitsInArea(1, "Voss01") < 1) then
	        ObjectiveChanged(5, 1);
	        RunScript("RevealObjective6", 2000);
                Suicide();
	end;
end;

function Objective6()
        if (( GetNUnitsInArea(1, "Voss03") > 0) and ( GetNUnitsInArea(0, "Voss03") < 1))
        or (( GetNUnitsInArea(1, "Voss03") < 0) and ( GetNUnitsInArea(0, "Voss02") < 1)) then
 	        DisplayTrace("Die Amis sind wieder in Vossenack. ...holen Sie sich die Stadt zurck!");
 	        ObjectiveChanged(6, 2);
 	        ObjectiveChanged(5, 2);
 	        RunScript( "Objective6_02", 1000);
                Suicide();
	end;
end;

function Objective6_02()
        if ( GetNUnitsInArea(1, "Voss03") < 1) and ( GetNUnitsInArea(1, "Voss02") < 1) and ( GetNUnitsInArea(1, "Voss01") < 1) then
	        ObjectiveChanged(6, 0);
	        ObjectiveChanged(5, 1);
	        RunScript( "Objective6", 1000);
                Suicide();
	end;
end;

function Objective6_03()
        local num = GetNUnitsInScriptGroup(104) + GetNUnitsInScriptGroup(105) + GetNUnitsInScriptGroup(115) + GetNUnitsInScriptGroup(1015)
         + GetNUnitsInScriptGroup(1002) + GetNUnitsInScriptGroup(1003) + GetNUnitsInScriptGroup(1004) + GetNUnitsInScriptGroup(1005);
        if (num < 1) and ( GetNUnitsInArea(1, "Voss03") < 1) and ( GetNUnitsInArea(1, "Voss02") < 1) then
	        ObjectiveChanged(6, 1);
	        ObjectiveChanged(5, 1);
	        LandReinforcement(108);
	        KillScript("Objective6");
                KillScript("Objective6_02");
                RunScript("RevealObjective7", 2000);
                Suicide();
	end;
end;

function Objective7()
         if ( GetNUnitsInArea(0, "Auswahl01") > 0) or ( GetNUnitsInArea(0, "Auswahl02") > 0) then
	        ObjectiveChanged(7, 1);
	        RunScript("RevealObjective8", 2000);
                RunScript("RevealObjective9", 2000);
                Suicide();
	end;
end;

function Objective8()
         if ( GetNUnitsInArea(0, "VossRuck01") > 0) and ( GetNUnitsInScriptGroup(108) < 1) and ( GetNUnitsInScriptGroup(105) < 1)
         and ( GetNUnitsInScriptGroup(1005) < 1) and ( GetNUnitsInScriptGroup(1004) < 1) then
	        SetIGlobalVar("Objective.8", 1);
        	SetIGlobalVar("Objective.9", 1);	
	        ObjectiveChanged(8, 1);
                Suicide();
	end;
end;

function Objective9()
        local num = GetNUnitsInScriptGroup(2001) + GetNUnitsInScriptGroup(2222) + GetNUnitsInScriptGroup(2003) + GetNUnitsInScriptGroup(201)
         + GetNUnitsInScriptGroup(202) + GetNUnitsInScriptGroup(222) + GetNUnitsInScriptGroup(203) + GetNUnitsInScriptGroup(210)
         + GetNUnitsInScriptGroup(220) + GetNUnitsInScriptGroup(230) + GetNUnitsInScriptGroup(2200) + GetNUnitsInScriptGroup(2300)
         + GetNUnitsInScriptGroup(2301) + GetNUnitsInScriptGroup(2302) + GetNUnitsInScriptGroup(2101) + GetNUnitsInScriptGroup(2100)
         + GetNUnitsInScriptGroup(801);
        if (num >= 21) and ( GetNUnitsInArea(0, "VossRuck01") < 1) and ( GetNUnitsInArea(0, "VossRuck02") < 1) and ( GetNUnitsInArea(0, "VossRuck03") < 1)
        and ( GetNUnitsInArea(0, "VossRuck04") < 1) and ( GetNUnitsInArea(0, "VossRuck05") < 1) then
        	SetIGlobalVar("Objective.9", 1);
        	SetIGlobalVar("Objective.8", 1);
	        ObjectiveChanged(9, 1);
	        LandReinforcement(802);
                Suicide();

	end;
end;

function GerVerstVoss01()
         if ( GetNUnitsInArea(1, "Voss01") < 87) or ( GetNUnitsInArea(1, "Voss02") < 140) or ( GetNUnitsInArea(1, "Voss03") < 105) then
                LandReinforcement(202);
                LandReinforcement(222);
                LandReinforcement(2200);
                LandReinforcement(2222);
                EnableAviation(1, 0)
                RunScript( "GerVerstVoss02", 1000);
                Suicide();
	end;
end;

function GerVerstVoss02()
         if ( GetNUnitsInArea(0, "Voss01") > 2) or ( GetNUnitsInArea(0, "Voss02") > 2) or ( GetNUnitsInArea(0, "Voss03") > 2) then
                LandReinforcement(203);
                LandReinforcement(2003);
                LandReinforcement(2300);
                LandReinforcement(2301);
                LandReinforcement(2302);
                LandReinforcement(230);
                RunScript( "GerVerstVoss06", 1000);
                RunScript( "AlliesVerstVoss00_01", 25000);
                RunScript( "AlliesVerstVoss00_02", 25000);
                Suicide();
	end;
end;

function GerVerstVoss03()
         local num = GetNUnitsInScriptGroup(2010) + GetNUnitsInScriptGroup(2020) + GetNUnitsInScriptGroup(2022) + GetNUnitsInScriptGroup(2030);
         if (num >= 2) then
                LandReinforcement(2004);
                LandReinforcement(2041);
                RunScript("GerVerstVoss04", 1000);
                Suicide();
         elseif (num < 2) then
                LandReinforcement(2004);
                LandReinforcement(2040);
                LandReinforcement(240);
                RunScript("GerVerstVoss04", 1000);
                Suicide();
	end;	
end;

function GerVerstVoss04()
         local num = GetNUnitsInScriptGroup(201) + GetNUnitsInScriptGroup(202) + GetNUnitsInScriptGroup(222) + GetNUnitsInScriptGroup(203);
         if (num <= 5) and ( GetNScriptUnitsInArea(2004, "Auswahl01") < 1) then
                LandReinforcement(204);
                LandReinforcement(205);
                DisplayTrace("Das OKW ist von Ihrem Durchhaltewillen begeistert.");
                DisplayTrace("Eine Sturmgeschtzabteilung ist zur Untersttzung eingetroffen.");
                RunScript("GerVerstVoss05", 2000);
                Suicide();
         elseif (num > 5) and ( GetNScriptUnitsInArea(2004, "Auswahl01") < 1) then
                Suicide();
	end;	
end;

function GerVerstVoss05()
        Cmd(39,204,205);
        Suicide();
end;

function GerVerstVoss06()
         local num = GetNUnitsInScriptGroup(201) + GetNUnitsInScriptGroup(202) + GetNUnitsInScriptGroup(222) + GetNUnitsInScriptGroup(203);
         if (num <= 5) and (( GetNUnitsInArea(1, "Voss01") < 1) or ( GetNUnitsInArea(1, "Voss02") < 1) or ( GetNUnitsInArea(1, "Voss03") < 1)) then
                LandReinforcement(222);
                LandReinforcement(203);
                DisplayTrace("Verstrkung ist eingetroffen.");
                DisplayTrace("...bedenke aber! Die Ressourcen sind nicht unerschpflich");
                Suicide();
         elseif (num > 5) then
                Suicide();
	end;	
end;

function AlliesVerstVoss00_01()
         if ( GetNUnitsInArea(0, "Voss02") > 0) then
                LandReinforcement(1004);
                Suicide();
	end;
end;

function AlliesVerstVoss00_02()
         if ( GetNUnitsInArea(0, "Voss03") > 0) then
                LandReinforcement(1005);
                Suicide();
	end;
end;

function AlliesVerstVoss01()
        LandReinforcement(1004);
        RunScript( "AlliesVerstVoss01_01", 7000);
        RunScript( "AlliesVerstVoss01_02", 30000);
        Suicide();
end;

function AlliesVerstVoss01_01()
        LandReinforcement(1004);
        Suicide();
end;

function AlliesVerstVoss01_02()
        LandReinforcement(104);
        RunScript( "AlliesVerstVoss01_03", 7000);
        RunScript( "AlliesVerstVoss01_04", 2000);
        RunScript( "AlliesVerstVoss02", 235000);
        Suicide();
end;

function AlliesVerstVoss01_03()
         if ( GetNUnitsInScriptGroup(1150) < 1) then
                LandReinforcement(115);
                LandReinforcement(1015);
                LandReinforcement(1016);
                Suicide();
	end;
end;

function AlliesVerstVoss01_04()
         if (( GetNScriptUnitsInArea(104, "Voss02") > 0) or ( GetNScriptUnitsInArea(1004, "Voss02") > 0)) and ( GetNUnitsInArea(0, "Voss02") < 1) then
                Cmd(3,1015, GetScriptAreaParams("Ari01"));
                Cmd(3,1016, GetScriptAreaParams("Ari02"));
                Suicide();
	end;
end;

function AlliesVerstVoss02()
        LandReinforcement(1005);
        RunScript( "AlliesVerstVoss02_01", 7000);
        RunScript( "AlliesVerstVoss02_02", 25000);
        Suicide();
end;

function AlliesVerstVoss02_01()
        LandReinforcement(1005);
        Suicide();
end;

function AlliesVerstVoss02_02()
        LandReinforcement(105);
        LandReinforcement(115);
        RunScript( "AlliesVerstVoss02_03", 7000);
        RunScript( "AlliesVerstVoss02_04", 1000);
        RunScript( "AlliesVerstVoss02_05", 1000);
        RunScript( "AlliesVerstVoss03", 320000);
        Suicide();
end;

function AlliesVerstVoss02_03()
         if ( GetNUnitsInScriptGroup(1150) < 1) then
                LandReinforcement(1015);
                LandReinforcement(1016);
                Suicide();
	end;
end;

function AlliesVerstVoss02_04()
         if (( GetNScriptUnitsInArea(105, "Voss03") > 0) or ( GetNScriptUnitsInArea(1005, "Voss03") > 0)) and ( GetNUnitsInArea(0, "Voss03") < 1) then
                Cmd(3,1015, GetScriptAreaParams("Ari01"));
                Cmd(3,1016, GetScriptAreaParams("Ari02"));
                Suicide();
	end;
end;

function AlliesVerstVoss03()
         if ( GetNUnitsInScriptGroup(105) < 1) and ( GetNUnitsInScriptGroup(1002) < 1) then
                LandReinforcement(1004);
                RunScript( "AlliesVerstVoss03_01", 7000);
                RunScript( "AlliesVerstVoss03_02", 30000);
                RunScript( "AlliesVerstVoss04", 200000);
                DisplayTrace("Es ist noch nicht vorbei. Die kommen noch ein paar mal.");
                Suicide();
	end;
end;

function AlliesVerstVoss03_01()
        LandReinforcement(1004);
        Suicide();
end;

function AlliesVerstVoss03_02()
        LandReinforcement(105);
        LandReinforcement(115);
        RunScript( "AlliesVerstVoss03_03", 7000);
        RunScript( "AlliesVerstVoss03_04", 2000);
        Suicide();
end;

function AlliesVerstVoss03_03()
         if ( GetNUnitsInScriptGroup(1150) < 1) then
                LandReinforcement(1015);
                LandReinforcement(1016);
                Suicide();
	end;
end;

function AlliesVerstVoss03_04()
         if (( GetNScriptUnitsInArea(1004, "Voss03") > 0) or ( GetNScriptUnitsInArea(105, "Voss03") > 0)) and ( GetNUnitsInArea(0, "Voss03") < 1) then
                Cmd(3,1015, GetScriptAreaParams("Ari01"));
                Cmd(3,1016, GetScriptAreaParams("Ari02"));
                Suicide();
	end;
end;

function AlliesVerstVoss04()
         if ( GetNUnitsInScriptGroup(105) < 1) and ( GetNUnitsInScriptGroup(1002) < 1) then
                LandReinforcement(1005);
                RunScript( "AlliesVerstVoss04_01", 7000);
                RunScript( "AlliesVerstVoss04_02", 30000);
                Suicide();
	end;
end;

function AlliesVerstVoss04_01()
        LandReinforcement(1005);
        Suicide();
end;

function AlliesVerstVoss04_02()
        LandReinforcement(104);
        RunScript( "Objective6_03", 4000);
        RunScript( "AlliesVerstVoss04_03", 7000);
        RunScript( "AlliesVerstVoss04_04", 2000);
        Suicide();
end;

function AlliesVerstVoss04_03()
         if ( GetNUnitsInScriptGroup(1150) < 1) then
                LandReinforcement(115);
                LandReinforcement(1015);
                LandReinforcement(1016);
                Suicide();
	end;
end;

function AlliesVerstVoss04_04()
         if (( GetNScriptUnitsInArea(1005, "Voss03") > 0) or ( GetNScriptUnitsInArea(104, "Voss03") > 0)) and ( GetNUnitsInArea(0, "Voss03") < 1) then
                Cmd(3,1015, GetScriptAreaParams("Ari01"));
                Cmd(3,1016, GetScriptAreaParams("Ari02"));
                Suicide();
	end;
end;

function AlliesVerstVoss05()
        RunScript( "AlliesJaBo",330000);
        RunScript( "AlliesVerstVoss05_01",380000);
        Suicide();
end;

function AlliesJaBo()
        Cmd(36, 999, 1, 6900, 19900, 9950, 25000);
        RunScript( "AlliesJaBo02",2000);
        Suicide();
end;

function AlliesJaBo02()
        if ( GetNUnitsInArea(0, "VossRuck01") > 1) then
                Cmd(36, 999, 1, 6900, 19900, 9950, 25000);
                RunScript( "AlliesJaBo02",10000);
                Suicide();
	end;
end;

function AlliesVerstVoss05_01()
        LandReinforcement(1004);
        LandReinforcement(1005);
        ChangePlayer(108, 1);
        RunScript( "AlliesVerstVoss05_02",15000);
        Suicide();
end;

function AlliesVerstVoss05_02()
        LandReinforcement(105);
        RunScript( "AlliesVerstVoss05_03",2000);
        Suicide();
end;

function AlliesVerstVoss05_03()
        if ( GetNScriptUnitsInArea(105, "Voss03") > 0) or ( GetNUnitsInScriptGroup(105) < 1) then
                LandReinforcement(115);
                LandReinforcement(1015);
                LandReinforcement(1016);
                Cmd(3, 108, GetScriptAreaParams("Voss03"));
                RunScript( "AlliesVerstVoss05_04",2000);
                RunScript( "AlliesVerstVoss05_08",6000);
                Suicide();
	end;
end;

function AlliesVerstVoss05_04()
        if ( GetNUnitsInArea(0, "Voss03") < 1) or ( GetNUnitsInArea(0, "Voss02") < 1) then
                Cmd(3, 108, GetScriptAreaParams("Stra01"));
                QCmd(3, 108, GetScriptAreaParams("Stra00"));
                Cmd(3, 1004, GetScriptAreaParams("Auswahl01"));
                QCmd(3, 1004, GetScriptAreaParams("Auswahl02"));
                QCmd(3, 1004, GetScriptAreaParams("Stra01"));
                QCmd(3, 1004, GetScriptAreaParams("Stra00"));
                Cmd(3, 1005, GetScriptAreaParams("Stra01"));
                QCmd(3, 1005, GetScriptAreaParams("Stra00"));
                RunScript( "AlliesVerstVoss05_05",2000);
                RunScript( "AlliesVerstVoss05_09",1000);
                Suicide();
	end;                                        	
end;

function AlliesVerstVoss05_05()
        if ( GetNScriptUnitsInArea(108, "VossRuck05") > 2) then
                Cmd(3, 108, GetScriptAreaParams("Stra01"));
                QCmd(3, 108, GetScriptAreaParams("Stra02"));
                QCmd(3, 108, GetScriptAreaParams("Stra03"));
                QCmd(3, 108, GetScriptAreaParams("Stra04"));
                QCmd(3, 108, GetScriptAreaParams("Stra05"));
                QCmd(3, 108, GetScriptAreaParams("Stra06"));
                QCmd(3, 108, GetScriptAreaParams("Stra07"));
                QCmd(3, 108, GetScriptAreaParams("Stra08"));
                QCmd(3, 108, GetScriptAreaParams("Stra09"));
                QCmd(3, 108, GetScriptAreaParams("Stra10"));
                RunScript( "AlliesVerstVoss05_06",2000);
                Suicide();
	end;                                        	
end;

function AlliesVerstVoss05_06()
        if ( GetNScriptUnitsInArea(108, "VossRuck03") > 2) then
                Cmd(3, 108, GetScriptAreaParams("Stra10"));
                QCmd(3, 108, GetScriptAreaParams("Stra09"));
                QCmd(3, 108, GetScriptAreaParams("Stra08"));
                QCmd(3, 108, GetScriptAreaParams("Stra07"));
                QCmd(3, 108, GetScriptAreaParams("Stra06"));
                QCmd(3, 108, GetScriptAreaParams("Stra05"));
                QCmd(3, 108, GetScriptAreaParams("Stra04"));
                QCmd(3, 108, GetScriptAreaParams("Stra03"));
                QCmd(3, 108, GetScriptAreaParams("Stra02"));
                QCmd(3, 108, GetScriptAreaParams("Stra01"));
                RunScript( "AlliesVerstVoss05_05",2000);
                Suicide();
	end;                                        	
end;

function AlliesVerstVoss05_08()
        if ( GetNUnitsInScriptGroup(1005) < 1) or ( GetNUnitsInScriptGroup(1004) < 1)
        or ( GetNScriptUnitsInArea(1004, "Auswahl01") < 1) or ( GetNScriptUnitsInArea(1004, "Stra01") < 1) then
                LandReinforcement(1004);
                LandReinforcement(1005);
                Suicide();
	end;
end;

function AlliesVerstVoss05_09()
        if ( GetNUnitsInArea(0, "Voss03") < 1) and ( GetNUnitsInArea(0, "Voss02") < 1) then
                LandReinforcement(1002);
                LandReinforcement(120);
                LandReinforcement(1020);
                LandReinforcement(1021);
                LandReinforcement(1022);
                LandReinforcement(1023);
                LandReinforcement(1003);
                LandReinforcement(130);
                LandReinforcement(1031);
                LandReinforcement(1030);
                Cmd(3,1015, GetScriptAreaParams("Ari01"));
                Cmd(3,1016, GetScriptAreaParams("Ari02"));
                Suicide();
	end;
end;

function Tausch01()
        if ( GetNScriptUnitsInArea(1101, "Move01") > 0) or ( GetNScriptUnitsInArea(1100, "Move01") > 0) or ( GetNScriptUnitsInArea(1020, "Move01") > 0) or ( GetNScriptUnitsInArea(1021, "Move01") > 0)
        or ( GetNScriptUnitsInArea(1022, "Move01") > 0) or ( GetNScriptUnitsInArea(1023, "Move01") > 0) or ( GetNScriptUnitsInArea(1030, "Move01") > 0) or ( GetNScriptUnitsInArea(1031, "Move01") > 0) then
                LandReinforcement(800);
                LandReinforcement(801);
                DisplayTrace("Den ersten Lkw haben wir.");
                Suicide();
	end;
end;

function Voss01()
         if ( GetNUnitsInArea(1, "Voss01") < 5) then
                Cmd(9, 1101);	
                QCmd(0, 1101, GetScriptAreaParams("Voss01"));
                QCmd(0, 1101, GetScriptAreaParams("Move01"));
                QCmd(0, 1101, GetScriptAreaParams("Move02"));
                QCmd(0, 1101, GetScriptAreaParams("Move03"));
                Cmd(9, 1100);
                QCmd(0, 1100, GetScriptAreaParams("Voss01"));
                QCmd(0, 1100, GetScriptAreaParams("Move01"));
                QCmd(0, 1100, GetScriptAreaParams("Move02"));
                QCmd(0, 1100, GetScriptAreaParams("Move03"));
	        ChangePlayer(1101, 2);
	        ChangePlayer(1100, 2);
                RunScript( "Tausch10", 1000);
                RunScript( "Tausch11", 1000);
                Suicide();
	end;
end;

function Tausch10()
        if ( GetNScriptUnitsInArea(1101, "Tausch01") > 0) then
                DeleteReinforcement(1101);
                LandReinforcement(2010);
                Suicide();
	end;
end;

function Tausch11()
        if ( GetNScriptUnitsInArea(1100, "Tausch01") > 0) then
                DeleteReinforcement(1100);
                LandReinforcement(2011);
                Suicide();
	end;
end;

function Voss02()
         if ( GetNUnitsInArea(1, "Voss02") < 10) then
                Cmd(9, 1020);
                QCmd(0, 1020, GetScriptAreaParams("Voss01"));
                QCmd(0, 1020, GetScriptAreaParams("Move01"));
                QCmd(0, 1020, GetScriptAreaParams("Move02"));
                QCmd(0, 1020, GetScriptAreaParams("Move03"));
                Cmd(9, 1021);
                QCmd(0, 1021, GetScriptAreaParams("Voss01"));
                QCmd(0, 1021, GetScriptAreaParams("Move01"));
                QCmd(0, 1021, GetScriptAreaParams("Move02"));
                QCmd(0, 1021, GetScriptAreaParams("Move03"));
                Cmd(9, 1022);
                QCmd(0, 1022, GetScriptAreaParams("Voss01"));
                QCmd(0, 1022, GetScriptAreaParams("Move01"));
                QCmd(0, 1022, GetScriptAreaParams("Move02"));
                QCmd(0, 1022, GetScriptAreaParams("Move03"));
                Cmd(9, 1023);
                QCmd(0, 1023, GetScriptAreaParams("Voss01"));
                QCmd(0, 1023, GetScriptAreaParams("Move01"));
                QCmd(0, 1023, GetScriptAreaParams("Move02"));
                QCmd(0, 1023, GetScriptAreaParams("Move03"));
	        ChangePlayer(1020, 2);
	        ChangePlayer(1021, 2);
	        ChangePlayer(1022, 2);
	        ChangePlayer(1023, 2);
	        DisplayTrace("Vorsicht achte auf die Lkws");
                RunScript( "Tausch20", 1000);
                RunScript( "Tausch21", 1000);
                RunScript( "Tausch22", 1000);
                RunScript( "Tausch23", 1000);
                Suicide();
	end;
end;

function Tausch20()
        if ( GetNScriptUnitsInArea(1020, "Tausch01") > 0) then
                DeleteReinforcement(1020);
                LandReinforcement(2020);
                Suicide();
	end;
end;

function Tausch21()
        if ( GetNScriptUnitsInArea(1021, "Tausch01") > 0) then
                DeleteReinforcement(1021);
                LandReinforcement(2021);
                Suicide();
	end;
end;

function Tausch22()
        if ( GetNScriptUnitsInArea(1022, "Tausch01") > 0) then
                DeleteReinforcement(1022);
                LandReinforcement(2022);
                Suicide();
	end;
end;

function Tausch23()
        if ( GetNScriptUnitsInArea(1023, "Tausch01") > 0) then
                DeleteReinforcement(1023);
                LandReinforcement(2023);
                Suicide();
	end;
end;

function Voss03()
         if ( GetNUnitsInArea(1, "Voss03") < 7) then
	        Cmd(9, 1030);
                QCmd(0, 1030, GetScriptAreaParams("Voss01"));
                QCmd(0, 1030, GetScriptAreaParams("Move01"));
                QCmd(0, 1030, GetScriptAreaParams("Move02"));
                QCmd(0, 1030, GetScriptAreaParams("Move03"));
                Cmd(9, 1031);
                QCmd(0, 1031, GetScriptAreaParams("Voss01"));
                QCmd(0, 1031, GetScriptAreaParams("Move01"));
                QCmd(0, 1031, GetScriptAreaParams("Move02"));
                QCmd(0, 1031, GetScriptAreaParams("Move03"));
                ChangePlayer(1030, 2);
                ChangePlayer(1031, 2);
                RunScript( "Tausch30", 1000);
                RunScript( "Tausch31", 1000);
                Suicide();
	end;
end;

function Tausch30()
        if ( GetNScriptUnitsInArea(1030, "Tausch01") > 0) then
                DeleteReinforcement(1030);
                LandReinforcement(2030);
                Suicide();
	end;
end;

function Tausch31()
        if ( GetNScriptUnitsInArea(1031, "Tausch01") > 0) then
                DeleteReinforcement(1031);
                LandReinforcement(2031);
                Suicide();
	end;
end;


function GerVerstSchKom00()
        LandReinforcement(280);
        RunScript( "GerVerstSchKom01", 5000);
        RunScript( "Bunker01", 5000);
        RunScript( "Bunker02", 5000);
        RunScript( "Bunker03", 5000);
        Suicide();
end;

function GerVerstSchKom01()
         if ( GetNScriptUnitsInArea(280, "Bunker01") > 2) then
                ChangePlayer(280, 0);
                LandReinforcement(270);
                RunScript( "GerVerstSchKom02", 5000);
                Suicide();
	end;
end;

function GerVerstSchKom02()
         if ( GetNScriptUnitsInArea(270, "Harscheidt") > 2) then
                ChangePlayer(270, 0);
                LandReinforcement(260);
                LandReinforcement(262);
                RunScript( "GerVerstSchKom03", 5000);
                Suicide();
	end;
end;

function GerVerstSchKom03()
         if ( GetNScriptUnitsInArea(260, "GerAri")  > 2) then
                ChangePlayer(260, 0);
                ChangePlayer(262, 0);

                LandReinforcement(281);
                LandReinforcement(282);
                RunScript( "GerVerstSchKom04", 5000);
                Suicide();
	end;
end;

function GerVerstSchKom04()
         if ( GetNScriptUnitsInArea(281, "Bunker03") > 2) then
                ChangePlayer(281, 0);
                ChangePlayer(282, 0);
                LandReinforcement(261);
                RunScript( "GerVerstSchKom05", 5000);
                Suicide();
	end;
end;

function GerVerstSchKom05()
         if ( GetNScriptUnitsInArea(261, "GerAri") > 2) then
                ChangePlayer(261, 0);
                RunScript( "GerVerstSchKom06", 2500);
                Suicide();
	end;
end;

function GerVerstSchKom06()
         local num = GetNUnitsInScriptGroup(262) + GetNUnitsInScriptGroup(282);
         if (num <= 2) then
                LandReinforcement(271);
                Suicide();
	end;	
end;

function AlliesSchKom00()
        if ( GetNUnitsInArea(0, "Brucke01") > 0) then
                Cmd(3, 106, GetScriptAreaParams("Brucke01"));
                QCmd(3, 106, GetScriptAreaParams("Kommerscheidt"));
                RunScript( "AlliesSchKom00_02",20000);
                Suicide();
        else
        if ( GetNUnitsInArea(0, "Kommerscheidt") > 0) then
                Cmd(3, 106, GetScriptAreaParams("Kommerscheidt"));
                QCmd(3, 106, GetScriptAreaParams("Schmidt"));
                RunScript( "AlliesSchKom00_02",20000);
                Suicide();
        else
        if ( GetNUnitsInArea(0, "Schmidt") > 0) then
                Cmd(3, 106, GetScriptAreaParams("Schmidt"));
                QCmd(3, 106, GetScriptAreaParams("Kommerscheidt"));
                RunScript( "AlliesSchKom00_02",20000);
                Suicide();
	end;
	end;
	end;                                                	
end;

function AlliesSchKom00_02()
        if (( GetNScriptUnitsInArea(106, "Kommerscheidt") > 2) and ( GetNUnitsInArea(0, "Kommerscheidt") < 1))
        or (( GetNScriptUnitsInArea(106, "Schmidt") > 2) and ( GetNUnitsInArea(0, "Schmidt") < 1)) then
                Cmd(9, 106);
                RunScript( "AlliesSchKom00",10000);
                Suicide();
	end;                                                	
end;

function AlliesSchKom00_03()
         if ( GetNScriptUnitsInArea(160, "Brucke01") > 0) or ( GetNScriptUnitsInArea(160, "Stra05") > 0)  then
                Cmd(3, 1006, GetScriptAreaParams("Brucke01"));
                QCmd(3, 1006, GetScriptAreaParams("Kommerscheidt"));
                QCmd(3, 1006, GetScriptAreaParams("Schmidt"));
                RunScript( "AlliesSchKom00_04",1000);
                RunScript( "AlliesSchKom00_06",1000);
                RunScript( "AlliesSchKom00_07",1000);
                Suicide();                  	
        end;
end;

function AlliesSchKom00_04()
         if ( GetNScriptUnitsInArea(160, "Kommerscheidt") > 0) or ( GetNScriptUnitsInArea(106, "Kommerscheidt") > 0) then
                Cmd(3, 1006, GetScriptAreaParams("Kommerscheidt"));
                QCmd(3, 1006, GetScriptAreaParams("Schmidt"));
                RunScript( "AlliesSchKom00_05",1000);
                Suicide();
	end;
end;

function AlliesSchKom00_05()
         if ( GetNScriptUnitsInArea(160, "Brucke01_2") < 2) then
                Cmd(3, 1006, GetScriptAreaParams("Kommerscheidt"));
                QCmd(3, 1006, GetScriptAreaParams("Schmidt"));
                Suicide();
	end;
end;

function AlliesSchKom00_06()
         if ( GetNScriptUnitsInArea(160, "Schmidt") > 4) then
                Cmd(3, 1006, GetScriptAreaParams("GerAri"));
                Suicide();
	end;
end;

function LkwKommerscheidt01()
        if ( GetNUnitsInArea(0, "LkwKommerscheidt01") > 1) and ( GetNUnitsInArea(1, "LkwKommerscheidt01") < 1) then
                ChangePlayer(2060, 0);
                Suicide();
	end;
end;

function LkwKommerscheidt02()
        if ( GetNUnitsInArea(0, "LkwKommerscheidt02") > 1) and ( GetNUnitsInArea(1, "LkwKommerscheidt02") < 1) then
                ChangePlayer(2070, 0);
                Suicide();
	end;
end;

function LkwSchmidt()
        if ( GetNUnitsInArea(0, "LkwSchmidt") > 1) and ( GetNUnitsInArea(1, "LkwSchmidt") < 1) then
                ChangePlayer(2050, 0);
                Suicide();
	end;
end

function AlliesSchKom01()
         if ( GetNUnitsInArea(0, "VossRuck02") > 2) or ( GetNUnitsInArea(0, "VossRuck04") > 2) or ( GetNUnitsInArea(1, "Brucke01") < 1)
         or ( GetNUnitsInArea(1, "Kommerscheidt") < 1) or ( GetNUnitsInArea(1, "Schmidt") < 1)  then
                LandReinforcement(1007);
                LandReinforcement(107);
                LandReinforcement(170);
                EnableAviation(1, 0)
                RunScript( "AlliesSchKom01_02",4000);
                RunScript( "AlliesSchKom02",10000);
                RunScript( "AlliesSchKom04",10000);
                RunScript( "AlliesSchKom04_01", 2500);
                RunScript( "AlliesSchKom04_02", 2500);
                RunScript( "AlliesSchKom04_03", 15000);
                Suicide();
	end;
end;

function AlliesSchKom01_02()
         if ( GetNScriptUnitsInArea(170, "Brucke01") > 0) or ( GetNScriptUnitsInArea(170, "Stra05") > 0)  then
                Cmd(3, 1007, GetScriptAreaParams("Brucke01"));
                QCmd(3, 1007, GetScriptAreaParams("Kommerscheidt"));
                QCmd(3, 1007, GetScriptAreaParams("Schmidt"));
                RunScript( "AlliesSchKom01_03",1000);
                RunScript( "AlliesSchKom01_05",1000);
                Suicide();                  	
        end;
end;

function AlliesSchKom01_03()
         if ( GetNScriptUnitsInArea(170, "Kommerscheidt") > 0) or ( GetNScriptUnitsInArea(107, "Kommerscheidt") > 1) then
                Cmd(3, 1007, GetScriptAreaParams("Kommerscheidt"));
                QCmd(3, 1007, GetScriptAreaParams("Schmidt"));
                RunScript( "AlliesSchKom01_04",1000);
                Suicide();
	end;
end;

function AlliesSchKom01_04()
         if ( GetNScriptUnitsInArea(170, "Brucke01_2") < 4 ) then
                Cmd(3, 1007, GetScriptAreaParams("Kommerscheidt"));
                QCmd(3, 1007, GetScriptAreaParams("Schmidt"));
                Suicide();
	end;
end;

function AlliesSchKom01_05()
         if ( GetNScriptUnitsInArea(1007, "Schmidt") > 0) and ( GetNUnitsInArea(0, "Schmidt") < 1) then
                Cmd(3, 1007, GetScriptAreaParams("GerAri"));
                Suicide();
	end;
end;

function AlliesSchKom02()
         if (( GetNUnitsInArea(0, "VossRuck02") > 2) or ( GetNUnitsInArea(0, "VossRuck05") > 2)) or (( GetNUnitsInArea(1, "Brucke01") < 1)
         and ( GetNUnitsInArea(1, "Kommerscheidt") < 1)) or (( GetNUnitsInArea(1, "Kommerscheidt") < 1) and ( GetNUnitsInArea(1, "Schmidt") < 1))
         or (( GetNUnitsInArea(1, "Brucke01") < 1) and ( GetNUnitsInArea(1, "Schmidt") < 1)) then
                LandReinforcement(1006);
                LandReinforcement(116);
                LandReinforcement(160);
                EnableAviation(1, 0)
                RunScript( "Objective4_03", 4000);
                RunScript( "AlliesSchKom03",10000);
                RunScript( "AlliesSchKom03_01", 2500);
                RunScript( "AlliesSchKom03_02", 2500);
                RunScript( "AlliesSchKom03_03", 15000);
                RunScript( "AlliesSchKom02_02",4000);
                Suicide();
	end;
end;

function AlliesSchKom02_02()
         if ( GetNScriptUnitsInArea(160, "Brucke01") > 0) or ( GetNScriptUnitsInArea(160, "Stra05") > 0)  then
                Cmd(3, 1006, GetScriptAreaParams("Brucke01"));
                QCmd(3, 1006, GetScriptAreaParams("Kommerscheidt"));
                QCmd(3, 1006, GetScriptAreaParams("Schmidt"));
                RunScript( "AlliesSchKom02_03",1000);
                RunScript( "AlliesSchKom02_05",1000);
                Suicide();                  	
        end;
end;

function AlliesSchKom02_03()
         if ( GetNScriptUnitsInArea(160, "Kommerscheidt") > 0) or ( GetNScriptUnitsInArea(116, "Kommerscheidt") > 0) then
                Cmd(3, 1006, GetScriptAreaParams("Kommerscheidt"));
                QCmd(3, 1006, GetScriptAreaParams("Schmidt"));
                RunScript( "AlliesSchKom02_04",1000);
                Suicide();
	end;
end;

function AlliesSchKom02_04()
         if ( GetNScriptUnitsInArea(160, "Brucke01_2") < 2) then
                Cmd(3, 1006, GetScriptAreaParams("Kommerscheidt"));
                QCmd(3, 1006, GetScriptAreaParams("Schmidt"));
                Suicide();
	end;
end;

function AlliesSchKom02_05()
         if ( GetNScriptUnitsInArea(1006, "Schmidt") > 0) and ( GetNUnitsInArea(0, "Schmidt") < 1) then
                Cmd(3, 1006, GetScriptAreaParams("Bunker01"));
                Suicide();
	end;
end;

function AlliesSchKom03()
         if ( GetNScriptUnitsInArea(160, "Brucke01") > 2) and ( GetNScriptUnitsInArea(118, "Brucke01") < 1) then
                LandReinforcement(1008);
                LandReinforcement(118);
                Suicide();
	end;
end;

function AlliesSchKom03_01()
         if ( GetNScriptUnitsInArea(160, "Kommerscheidt") > 1) and ( GetNScriptUnitsInArea(119, "Kommerscheidt") < 1) then
                LandReinforcement(1009);
                LandReinforcement(119);
                Suicide();
	end;
end;

function AlliesSchKom03_02()
         if ( GetNScriptUnitsInArea(160, "Schmidt") > 0) and ( GetNScriptUnitsInArea(111, "Schmidt") < 1) then
                LandReinforcement(1010);
                LandReinforcement(111);
                Suicide();
	end;
end;

function AlliesSchKom03_03()
         if ( GetNScriptUnitsInArea(160, "Schmidt") > 5) then
                DeleteReinforcement(160);
                Suicide();
	end;
end;

function AlliesSchKom04()
         if ( GetNScriptUnitsInArea(170, "Brucke01") > 2) and ( GetNScriptUnitsInArea(128, "Brucke01") < 1) then
                LandReinforcement(1008);
                LandReinforcement(128);
                Suicide();
	end;
end;

function AlliesSchKom04_01()
         if ( GetNScriptUnitsInArea(170, "Kommerscheidt") > 1) and ( GetNScriptUnitsInArea(129, "Kommerscheidt") < 1) then
                LandReinforcement(1009);
                LandReinforcement(129);

                Suicide();
	end;
end;

function AlliesSchKom04_02()
         if ( GetNScriptUnitsInArea(170, "Schmidt") > 0) and ( GetNScriptUnitsInArea(1111, "Schmidt") < 1) then
                LandReinforcement(1010);
                LandReinforcement(1111);
                Suicide();
	end;
end;

function AlliesSchKom04_03()
         if ( GetNScriptUnitsInArea(170, "Schmidt") > 5) then
                DeleteReinforcement(170);
                Suicide();
	end;
end;

function AlliesBrucke01()
         if ( GetNUnitsInArea(0, "Brucke01_2") > 2) then
                LandReinforcement(116);
                RunScript( "AlliesBrucke01_02", 1500);
                Suicide();
	end;
end;

function AlliesBrucke01_02()
         if ( GetNScriptUnitsInArea(116, "Brucke01_2") > 1) then
                Cmd(9, 116);
                LandReinforcement(107);
                RunScript( "AlliesBrucke02", 1500);
                Suicide();
	end;
end;

function AlliesBrucke02()
         if ( GetNScriptUnitsInArea(107, "Nachschub") > 1) then
                Cmd(9, 107);
                Suicide();
	end;
end;

function Bunker01()
         if ( GetNUnitsInArea(0, "Bunker01") < 45) then
                LandReinforcement(1063);
                EnableAviation(1, 0)
                RunScript( "Bunker01_01", 1500);
                Suicide();
	end;
end;

function Bunker01_01()
        LandReinforcement(1062);
        LandReinforcement(1061);
        Cmd(3, 1063, GetScriptAreaParams("Bunker01"));
        QCmd(3, 1063, GetScriptAreaParams("Bunker03"));
        RunScript( "Bunker01_02", 1500);
        Suicide();
end;

function Bunker01_02()
         if ( GetNUnitsInScriptGroup(1063) < 1) then
                Cmd(3, 1062, GetScriptAreaParams("Bunker01"));
                QCmd(3, 1062, GetScriptAreaParams("Bunker03"));
                Cmd(3, 1061, GetScriptAreaParams("Bunker01"));
                QCmd(3, 1061, GetScriptAreaParams("Bunker03"));
                Suicide();
	end;
end;

function Bunker02()
         if ( GetNUnitsInArea(0, "Bunker02") < 25) then
                LandReinforcement(1063);
                EnableAviation(1, 0)
                RunScript( "Bunker02_01", 1500);
                Suicide();
	end;
end;

function Bunker02_01()
        LandReinforcement(1062);
        LandReinforcement(1061);
        Cmd(3, 1063, GetScriptAreaParams("Bunker02"));
        QCmd(3, 1063, GetScriptAreaParams("Bunker03"));
        RunScript( "Bunker02_02", 1500);
        Suicide();
end;

function Bunker02_02()
         if ( GetNUnitsInScriptGroup(1063) < 1) then
                Cmd(3, 1062, GetScriptAreaParams("Bunker02"));
                QCmd(3, 1062, GetScriptAreaParams("Bunker03"));
                Cmd(3, 1061, GetScriptAreaParams("Bunker02"));
                QCmd(3, 1061, GetScriptAreaParams("Bunker03"));
                Suicide();
	end;
end;

function Bunker03()
         if ( GetNUnitsInArea(0, "Bunker03") < 60) then
                LandReinforcement(1063);
                EnableAviation(1, 0)
                RunScript( "Bunker03_01", 1500);
                Suicide();
	end;
end

function Bunker03_01()
        LandReinforcement(1062);
        LandReinforcement(1061);
        Cmd(3, 1063, GetScriptAreaParams("Bunker02"));
        QCmd(3, 1063, GetScriptAreaParams("Bunker03"));
        RunScript( "Bunker03_02", 1500);
        Suicide();
end;

function Bunker03_02()
         if ( GetNUnitsInScriptGroup(1063) < 1) then
                Cmd(3, 1062, GetScriptAreaParams("Bunker02"));
                QCmd(3, 1062, GetScriptAreaParams("Bunker03"));
                Cmd(3, 1061, GetScriptAreaParams("Bunker02"));
                QCmd(3, 1061, GetScriptAreaParams("Bunker03"));
                Suicide();
	end;
end;

function Init()

        RunScript("Start", 2500);
        RunScript("Sieg", 5000);
        RunScript("Verloren", 10000);
        RunScript("Verloren_02", 10000);

end;
